require 'date'

class Float
    def self.convert_to(type)
        table = {
            String => :to_s,
            Integer => :to_i,
            Float => :to_f,
            Time => :to_time,
            Date => :to_date,
            DateTime => :to_datetime
        }

        table[type]
    end

    def to_time
        Time.at(self)
    end

    def to_date
        Time.at(self).to_date
    end

    def to_datetime
        Time.at(self).to_datetime
    end
end