require 'date'

class String
    def self.convert_to(type)
        table = {
            String => :to_s,
            Symbol => :to_sym,
            Integer => :to_i,
            Float => :to_f,
            Date => :to_date,
            DateTime => :to_datetime,
            Time => :to_time
        }

        table[type]
    end

    def to_date
        Date.parse(self)
    end

    def to_time
        self.to_datetime.to_time
    end

    def to_datetime
        DateTime.parse(self)
    end
end