require 'date'

class Array
    def self.convert_to(type)
        table = {
            Array => :to_a,
            String => :to_s,
            Date => :to_date,
            DateTime => :to_datetime
        }

        table[type]
    end

    def to_date
        Date.parse(self.join('-'))
    end

    def to_datetime
        DateTime.parse(self.join('-'))
    end
end